<?php
require_once("../admin/inc/conecta.php");
require_once("../admin/inc/classe.ssh.php");
require_once("../admin/inc/funcoes.php");

$inicio_execucao = tempo_execucao();

echo "IP Servidor ".$_SERVER["REMOTE_ADDR"]."<br><br>";
echo "Iniciando checagem de autodjs desligados...<br><br>";

$sql_servidores = mysqli_query($conexao,"SELECT * FROM servidores where ip = '".$_SERVER["REMOTE_ADDR"]."'");
while ($dados_servidor = mysqli_fetch_array($sql_servidores)) {

$sql = mysqli_query($conexao,"SELECT * FROM streamings where status = '1' AND codigo_servidor = '".$dados_servidor["codigo"]."' ORDER by porta ASC");
while ($dados_stm = mysqli_fetch_array($sql)) {

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));

// Verifica se servidor esta ativado
if($dados_servidor["status"] == "on") {

// Verifica se AutoDJ tem os requisitos basico ou seja se ja foi ligado alguma vez e entao continua...
if($dados_stm["ultima_playlist"]) {	

// Verifica se o streaming esta ligado
$status_streaming = status_streaming($dados_servidor["ip"],$dados_stm["porta"]);
	
if($status_streaming == "ligado") {

// Verifica se o autodj já esta desligado
$status_autodj = status_autodj($dados_servidor["ip"],$dados_stm["porta"],$dados_stm["senha"]);
	
if($status_autodj == "desligado") {

file_get_contents("http://".$dados_config["dominio_padrao"]."/funcoes-ajax/ligar_autodj/".code_decode($dados_stm["porta"],"E")."/".$dados_stm["ultima_playlist"]."/".$dados_stm["autodj_shuffle"]."/".$dados_stm["bitrate_autodj"]."/".$dados_stm["xfade"]."/".$dados_stm["autodj_samplerate"]."/".$dados_stm["autodj_channels"]."/".$dados_stm["encoder"]."/robot");

//mysqli_query($conexao,"INSERT INTO logs_monitoramento (codigo_stm,codigo_servidor,data,log) VALUES ('".$dados_stm["codigo"]."','".$dados_servidor["codigo"]."',NOW(),'AutoDJ da porta ".$dados_stm["porta"]." ligado.')");

echo "[".$dados_servidor["nome"]."][".$dados_servidor["ip"]."][".$dados_stm["porta"]."][AutoDJ] Iniciado...<br>";

}
}
}
}
}
}

$fim_execucao = tempo_execucao();

$tempo_execucao = number_format(($fim_execucao-$inicio_execucao),2);

echo "<br>Processo concluido em ".$tempo_execucao." segundos.<br>";
?>
